### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-date-block/ecl-date-block.component.ts`

### Extends

`ECLBaseDirective`

### Metadata

selector | `time[eclDateBlock]`
templateUrl | `./ecl-date-block.component.html`

### Index

###### Methods

- getCssClasses

###### Inputs

- date
- dateFormat
- datetime
- day
- month
- monthTitle
- variant
- year
- class
- e2eAttr

###### HostBindings

- class

###### Accessors

- cssClasses
- datetime

### Constructor

`constructor(translateService: TranslateService)`

Parameters :

Name | Type | Optional
translateService | `TranslateService` | No

### Inputs

date
Type : `Date`

dateFormat
Type : `string`
Default value : `'dd/M/yyyy'`

datetime
Type : `string`

day
Type : `string`

month
Type : `string`

monthTitle
Type : `string`

variant
Type : `"ongoing" | "cancelled" | "past" | "rescheduled"`
Default value : `null`

year
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class
Type : `any`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Accessors

cssClasses
get `cssClasses()`

datetime
get `datetime()`
set `datetime(value)`

Parameters :

Name | Optional
value | No

Returns : `void`

# results matching ""

# No results matching ""